<?php

class PageDeletedControllerCore extends FrontController
{
    public $php_self = 'pagedeleted';
    public $page_name = 'pagedeleted';
    public $ssl = true;

    /**
     * Assign template vars related to page content.
     *
     * @see FrontController::initContent()
     */
    public function initContent()
    {
        header('HTTP/1.1 410 Gone');
        header('Status: 410 Gone”, false, 410');
        $this->context->cookie->disallowWriting();
        parent::initContent();
        $this->setTemplate('errors/410');
    }

    protected function canonicalRedirection($canonical_url = '')
    {
        // 410 - no need to redirect to the canonical url
    }

    protected function sslRedirection()
    {
        // 410 - no need to redirect
    }

    public function getTemplateVarPage()
    {
        $page = parent::getTemplateVarPage();
        $page['title'] = $this->trans('Page deleted or gone.', [], 'Shop.Theme.Global');

        return $page;
    }

    public function displayAjax()
    {
        header('Content-Type: application/json');
        echo json_encode($this->trans('Page deleted or gone.', [], 'Shop.Theme.Global'));
    }
}